if (typeof(Adressen) == "undefined") {
    var Adressen = {};
}

Adressen.prefManager = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

Adressen.options = {
    set_content : function(id) {
        Adressen.mainstringbundle = document.getElementById("mainstringbundle");
        var filePicker = Components.classes["@mozilla.org/filepicker;1"].createInstance(Components.interfaces.nsIFilePicker);
        var pickerTitle = Adressen.mainstringbundle.getString("pickerTitle");
        var csvFile = Adressen.mainstringbundle.getString("csvFile");
        el = document.getElementById(id);
        var prefid = el.getAttribute("preference");
        var prefel = document.getElementById(prefid);
        var prefname = prefel.getAttribute("name");
        filePicker.appendFilter(csvFile, "*.csv");
        filePicker.defaultExtension = "csv";
        var startdir = Adressen.prefManager.getCharPref(prefname);
        var storefile = Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile);
        if (startdir != "") {
            storefile.initWithPath(startdir);
        } else {
            var userFile = Components.classes["@mozilla.org/file/directory_service;1"].getService(Components.interfaces.nsIProperties).get("Home", Components.interfaces.nsIFile);
            storefile.initWithPath(userFile.path);
        }
        filePicker.displayDirectory = storefile;
        filePicker.init(window, pickerTitle, Components.interfaces.nsIFilePicker.modeSave);
        filePicker.open({
            done : function() {
                el.value = filePicker.file.path;
                Adressen.prefManager.setCharPref(prefname, el.value);
            }
        });
        return;
    },
    set_tbexe : function(id) {
        Adressen.mainstringbundle = document.getElementById("mainstringbundle");
        var filePicker = Components.classes["@mozilla.org/filepicker;1"]
            .createInstance(Components.interfaces.nsIFilePicker);
        var pickerTitle = Adressen.mainstringbundle.getString("tbPickerTitle");
        var exeFile = Adressen.mainstringbundle.getString("exeFile");
        var allFiles = Adressen.mainstringbundle.getString("allFiles");
        el = document.getElementById(id);
        var prefid = el.getAttribute("preference");
        var prefel = document.getElementById(prefid);
        var prefname = prefel.getAttribute("name");
        filePicker.appendFilter(exeFile, "*.exe");
        filePicker.appendFilter(allFiles, "*.*");
        var startdir = Adressen.prefManager.getCharPref(prefname);
        var storefile = Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile);
        if (startdir != "") {
            storefile.initWithPath(startdir);
        } else {
            var userFile = Components.classes["@mozilla.org/file/directory_service;1"].getService(Components.interfaces.nsIProperties).get("Home", Components.interfaces.nsIFile);
            storefile.initWithPath(userFile.path);
        }
        filePicker.displayDirectory = storefile;
            filePicker.init(window, pickerTitle, Components.interfaces.nsIFilePicker.modeOpen);
        filePicker.open({
            done : function() {
                el.value = filePicker.file.path;
                Adressen.prefManager.setCharPref(prefname, el.value);
            }
        });
        return;
    }
}
